﻿using Infragistics.Controls.Charts;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartTitleDecorationsCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamDataChart_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataChart chart = sender as XamDataChart;

            HorizontalAxisLabelPanel horizontalPanel = Utilities.GetDescendantFromType(chart, typeof(HorizontalAxisLabelPanel), false) as HorizontalAxisLabelPanel;
            VerticalAxisLabelPanel verticalPanel = Utilities.GetDescendantFromType(chart, typeof(VerticalAxisLabelPanel), false) as VerticalAxisLabelPanel;

            TextBlock horizontalTitle = new TextBlock();
            TextBlock verticalTitle = new TextBlock();

            foreach (var x in horizontalPanel.Children)
            {
                if (x is TextBlock)
                {
                    TextBlock TB = x as TextBlock;
                    if (TB.Text.Equals(chart.Axes[0].Title))
                    {
                        horizontalTitle = TB;
                        break;
                    }
                }
            }

            foreach (var y in verticalPanel.Children)
            {
                if (y is TextBlock)
                {
                    TextBlock TB = y as TextBlock;
                    if (TB.Text.Equals(chart.Axes[1].Title))
                    {
                        verticalTitle = TB;
                        break;
                    }
                }
            }

            verticalTitle.TextDecorations.Add(new TextDecoration(TextDecorationLocation.Strikethrough, null, 0, TextDecorationUnit.Pixel, TextDecorationUnit.Pixel));
            horizontalTitle.TextDecorations.Add(new TextDecoration(TextDecorationLocation.Underline, null, 0, TextDecorationUnit.Pixel, TextDecorationUnit.Pixel));


        }
    }
}
